#!/bin/bash
# max.sh : Maximum de deux entiers.

E_PARAM_ERR=250    # Si moins de deux paramètres passés à la fonction.
EGAL=251           # Code de retour si les deux paramètres sont égaux.
#  Valeurs de l'erreur en dehors de la plage de tout paramètre
#+ qui pourrait être fourni à la fonction.

max2 ()            # Envoie le plus important des deux entiers.
{                  # Note: les nombres comparés doivent être plus petits que 257.
if [ -z "$2" ]
then
  return $E_PARAM_ERR
fi

if [ "$1" -eq "$2" ]
then
  return $EGAL
else
  if [ "$1" -gt "$2" ]
  then
    return $1
  else
    return $2
  fi
fi
}

max2 33 34
return_val=$?

if [ "$return_val" -eq $E_PARAM_ERR ]
then
	echo "Vous devez donner deux arguments à la fonction."
elif [ "$return_val" -eq $EGAL ]
  then
    echo "Les deux nombres sont identiques."
else
    echo "Le plus grand des deux nombres est $return_val."
fi  

  
exit 0

#  Exercice (facile) :
#  ------------------
#  Convertir ce script en une version interactive,
#+ c'est-à-dire que le script vous demande les entrées (les deux nombres).
